// Code generated by protoc-gen-go. DO NOT EDIT.
// source: mesh/v1alpha1/dataplane.proto

package v1alpha1

import (
	fmt "fmt"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Dataplane defines configuration of a side-car proxy.
type Dataplane struct {
	// Networking describes inbound and outbound interfaces of the dataplane.
	Networking *Dataplane_Networking `protobuf:"bytes,1,opt,name=networking,proto3" json:"networking,omitempty"`
	// Configuration for metrics that should be collected and exposed by the
	// dataplane.
	//
	// Settings defined here will override their respective defaults
	// defined at a Mesh level.
	Metrics              *MetricsBackend `protobuf:"bytes,2,opt,name=metrics,proto3" json:"metrics,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *Dataplane) Reset()         { *m = Dataplane{} }
func (m *Dataplane) String() string { return proto.CompactTextString(m) }
func (*Dataplane) ProtoMessage()    {}
func (*Dataplane) Descriptor() ([]byte, []int) {
	return fileDescriptor_7608682fd5ea84a4, []int{0}
}

func (m *Dataplane) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dataplane.Unmarshal(m, b)
}
func (m *Dataplane) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dataplane.Marshal(b, m, deterministic)
}
func (m *Dataplane) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dataplane.Merge(m, src)
}
func (m *Dataplane) XXX_Size() int {
	return xxx_messageInfo_Dataplane.Size(m)
}
func (m *Dataplane) XXX_DiscardUnknown() {
	xxx_messageInfo_Dataplane.DiscardUnknown(m)
}

var xxx_messageInfo_Dataplane proto.InternalMessageInfo

func (m *Dataplane) GetNetworking() *Dataplane_Networking {
	if m != nil {
		return m.Networking
	}
	return nil
}

func (m *Dataplane) GetMetrics() *MetricsBackend {
	if m != nil {
		return m.Metrics
	}
	return nil
}

// Networking describes inbound and outbound interfaces of a dataplane.
type Dataplane_Networking struct {
	// Ingress if not nil, dataplane will be work in the Ingress mode
	Ingress *Dataplane_Networking_Ingress `protobuf:"bytes,6,opt,name=ingress,proto3" json:"ingress,omitempty"`
	// Public IP on which the dataplane is accessible in the network.
	// Host names and DNS are not allowed.
	Address string `protobuf:"bytes,5,opt,name=address,proto3" json:"address,omitempty"`
	// Gateway describes configuration of gateway of the dataplane.
	Gateway *Dataplane_Networking_Gateway `protobuf:"bytes,3,opt,name=gateway,proto3" json:"gateway,omitempty"`
	// Inbound describes a list of inbound interfaces of the dataplane.
	Inbound []*Dataplane_Networking_Inbound `protobuf:"bytes,1,rep,name=inbound,proto3" json:"inbound,omitempty"`
	// Outbound describes a list of outbound interfaces of the dataplane.
	Outbound []*Dataplane_Networking_Outbound `protobuf:"bytes,2,rep,name=outbound,proto3" json:"outbound,omitempty"`
	// TransparentProxying describes configuration for transparent proxying.
	TransparentProxying  *Dataplane_Networking_TransparentProxying `protobuf:"bytes,4,opt,name=transparent_proxying,json=transparentProxying,proto3" json:"transparent_proxying,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                                  `json:"-"`
	XXX_unrecognized     []byte                                    `json:"-"`
	XXX_sizecache        int32                                     `json:"-"`
}

func (m *Dataplane_Networking) Reset()         { *m = Dataplane_Networking{} }
func (m *Dataplane_Networking) String() string { return proto.CompactTextString(m) }
func (*Dataplane_Networking) ProtoMessage()    {}
func (*Dataplane_Networking) Descriptor() ([]byte, []int) {
	return fileDescriptor_7608682fd5ea84a4, []int{0, 0}
}

func (m *Dataplane_Networking) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dataplane_Networking.Unmarshal(m, b)
}
func (m *Dataplane_Networking) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dataplane_Networking.Marshal(b, m, deterministic)
}
func (m *Dataplane_Networking) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dataplane_Networking.Merge(m, src)
}
func (m *Dataplane_Networking) XXX_Size() int {
	return xxx_messageInfo_Dataplane_Networking.Size(m)
}
func (m *Dataplane_Networking) XXX_DiscardUnknown() {
	xxx_messageInfo_Dataplane_Networking.DiscardUnknown(m)
}

var xxx_messageInfo_Dataplane_Networking proto.InternalMessageInfo

func (m *Dataplane_Networking) GetIngress() *Dataplane_Networking_Ingress {
	if m != nil {
		return m.Ingress
	}
	return nil
}

func (m *Dataplane_Networking) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *Dataplane_Networking) GetGateway() *Dataplane_Networking_Gateway {
	if m != nil {
		return m.Gateway
	}
	return nil
}

func (m *Dataplane_Networking) GetInbound() []*Dataplane_Networking_Inbound {
	if m != nil {
		return m.Inbound
	}
	return nil
}

func (m *Dataplane_Networking) GetOutbound() []*Dataplane_Networking_Outbound {
	if m != nil {
		return m.Outbound
	}
	return nil
}

func (m *Dataplane_Networking) GetTransparentProxying() *Dataplane_Networking_TransparentProxying {
	if m != nil {
		return m.TransparentProxying
	}
	return nil
}

// Ingress allows us to configure dataplane in the Ingress mode. In this
// mode, dataplane has only inbound interfaces (outbound and gateway
// prohibited). Every inbound interface matches with services that reside in
// that cluster.
type Dataplane_Networking_Ingress struct {
	AvailableServices    []*Dataplane_Networking_Ingress_AvailableService `protobuf:"bytes,1,rep,name=availableServices,proto3" json:"availableServices,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                                         `json:"-"`
	XXX_unrecognized     []byte                                           `json:"-"`
	XXX_sizecache        int32                                            `json:"-"`
}

func (m *Dataplane_Networking_Ingress) Reset()         { *m = Dataplane_Networking_Ingress{} }
func (m *Dataplane_Networking_Ingress) String() string { return proto.CompactTextString(m) }
func (*Dataplane_Networking_Ingress) ProtoMessage()    {}
func (*Dataplane_Networking_Ingress) Descriptor() ([]byte, []int) {
	return fileDescriptor_7608682fd5ea84a4, []int{0, 0, 0}
}

func (m *Dataplane_Networking_Ingress) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dataplane_Networking_Ingress.Unmarshal(m, b)
}
func (m *Dataplane_Networking_Ingress) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dataplane_Networking_Ingress.Marshal(b, m, deterministic)
}
func (m *Dataplane_Networking_Ingress) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dataplane_Networking_Ingress.Merge(m, src)
}
func (m *Dataplane_Networking_Ingress) XXX_Size() int {
	return xxx_messageInfo_Dataplane_Networking_Ingress.Size(m)
}
func (m *Dataplane_Networking_Ingress) XXX_DiscardUnknown() {
	xxx_messageInfo_Dataplane_Networking_Ingress.DiscardUnknown(m)
}

var xxx_messageInfo_Dataplane_Networking_Ingress proto.InternalMessageInfo

func (m *Dataplane_Networking_Ingress) GetAvailableServices() []*Dataplane_Networking_Ingress_AvailableService {
	if m != nil {
		return m.AvailableServices
	}
	return nil
}

// AvailableService contains tags that represent unique subset of
// endpoints
type Dataplane_Networking_Ingress_AvailableService struct {
	// tags of the service
	Tags map[string]string `protobuf:"bytes,1,rep,name=tags,proto3" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// number of instances available for given tags
	Instances uint32 `protobuf:"varint,2,opt,name=instances,proto3" json:"instances,omitempty"`
	// mesh of the instances available for given tags
	Mesh                 string   `protobuf:"bytes,3,opt,name=mesh,proto3" json:"mesh,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Dataplane_Networking_Ingress_AvailableService) Reset() {
	*m = Dataplane_Networking_Ingress_AvailableService{}
}
func (m *Dataplane_Networking_Ingress_AvailableService) String() string {
	return proto.CompactTextString(m)
}
func (*Dataplane_Networking_Ingress_AvailableService) ProtoMessage() {}
func (*Dataplane_Networking_Ingress_AvailableService) Descriptor() ([]byte, []int) {
	return fileDescriptor_7608682fd5ea84a4, []int{0, 0, 0, 0}
}

func (m *Dataplane_Networking_Ingress_AvailableService) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dataplane_Networking_Ingress_AvailableService.Unmarshal(m, b)
}
func (m *Dataplane_Networking_Ingress_AvailableService) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dataplane_Networking_Ingress_AvailableService.Marshal(b, m, deterministic)
}
func (m *Dataplane_Networking_Ingress_AvailableService) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dataplane_Networking_Ingress_AvailableService.Merge(m, src)
}
func (m *Dataplane_Networking_Ingress_AvailableService) XXX_Size() int {
	return xxx_messageInfo_Dataplane_Networking_Ingress_AvailableService.Size(m)
}
func (m *Dataplane_Networking_Ingress_AvailableService) XXX_DiscardUnknown() {
	xxx_messageInfo_Dataplane_Networking_Ingress_AvailableService.DiscardUnknown(m)
}

var xxx_messageInfo_Dataplane_Networking_Ingress_AvailableService proto.InternalMessageInfo

func (m *Dataplane_Networking_Ingress_AvailableService) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

func (m *Dataplane_Networking_Ingress_AvailableService) GetInstances() uint32 {
	if m != nil {
		return m.Instances
	}
	return 0
}

func (m *Dataplane_Networking_Ingress_AvailableService) GetMesh() string {
	if m != nil {
		return m.Mesh
	}
	return ""
}

// Inbound describes a service implemented by the dataplane.
type Dataplane_Networking_Inbound struct {
	// Port of the inbound interface that will forward requests to the
	// service.
	Port uint32 `protobuf:"varint,3,opt,name=port,proto3" json:"port,omitempty"`
	// Port of the service that requests will be forwarded to.
	ServicePort uint32 `protobuf:"varint,4,opt,name=servicePort,proto3" json:"servicePort,omitempty"`
	// Address of the service that requests will be forwarded to.
	// Empty value defaults to '127.0.0.1', since Kuma DP should be deployed
	// next to service.
	ServiceAddress string `protobuf:"bytes,6,opt,name=serviceAddress,proto3" json:"serviceAddress,omitempty"`
	// Address on which inbound listener will be exposed. Defaults to
	// networking.address.
	Address string `protobuf:"bytes,5,opt,name=address,proto3" json:"address,omitempty"`
	// Tags associated with an application this dataplane is deployed next to,
	// e.g. service=web, version=1.0.
	// `service` tag is mandatory.
	Tags                 map[string]string `protobuf:"bytes,2,rep,name=tags,proto3" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Dataplane_Networking_Inbound) Reset()         { *m = Dataplane_Networking_Inbound{} }
func (m *Dataplane_Networking_Inbound) String() string { return proto.CompactTextString(m) }
func (*Dataplane_Networking_Inbound) ProtoMessage()    {}
func (*Dataplane_Networking_Inbound) Descriptor() ([]byte, []int) {
	return fileDescriptor_7608682fd5ea84a4, []int{0, 0, 1}
}

func (m *Dataplane_Networking_Inbound) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dataplane_Networking_Inbound.Unmarshal(m, b)
}
func (m *Dataplane_Networking_Inbound) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dataplane_Networking_Inbound.Marshal(b, m, deterministic)
}
func (m *Dataplane_Networking_Inbound) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dataplane_Networking_Inbound.Merge(m, src)
}
func (m *Dataplane_Networking_Inbound) XXX_Size() int {
	return xxx_messageInfo_Dataplane_Networking_Inbound.Size(m)
}
func (m *Dataplane_Networking_Inbound) XXX_DiscardUnknown() {
	xxx_messageInfo_Dataplane_Networking_Inbound.DiscardUnknown(m)
}

var xxx_messageInfo_Dataplane_Networking_Inbound proto.InternalMessageInfo

func (m *Dataplane_Networking_Inbound) GetPort() uint32 {
	if m != nil {
		return m.Port
	}
	return 0
}

func (m *Dataplane_Networking_Inbound) GetServicePort() uint32 {
	if m != nil {
		return m.ServicePort
	}
	return 0
}

func (m *Dataplane_Networking_Inbound) GetServiceAddress() string {
	if m != nil {
		return m.ServiceAddress
	}
	return ""
}

func (m *Dataplane_Networking_Inbound) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *Dataplane_Networking_Inbound) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

// Outbound describes a service consumed by the dataplane.
type Dataplane_Networking_Outbound struct {
	// Address on which the service will be available to this dataplane.
	// Defaults to 127.0.0.1
	Address string `protobuf:"bytes,3,opt,name=address,proto3" json:"address,omitempty"`
	// Port on which the service will be available to this dataplane.
	Port uint32 `protobuf:"varint,4,opt,name=port,proto3" json:"port,omitempty"`
	// DEPRECATED: use networking.outbound[].tags
	// Service name.
	Service string `protobuf:"bytes,2,opt,name=service,proto3" json:"service,omitempty"`
	// Tags
	Tags                 map[string]string `protobuf:"bytes,5,rep,name=tags,proto3" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Dataplane_Networking_Outbound) Reset()         { *m = Dataplane_Networking_Outbound{} }
func (m *Dataplane_Networking_Outbound) String() string { return proto.CompactTextString(m) }
func (*Dataplane_Networking_Outbound) ProtoMessage()    {}
func (*Dataplane_Networking_Outbound) Descriptor() ([]byte, []int) {
	return fileDescriptor_7608682fd5ea84a4, []int{0, 0, 2}
}

func (m *Dataplane_Networking_Outbound) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dataplane_Networking_Outbound.Unmarshal(m, b)
}
func (m *Dataplane_Networking_Outbound) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dataplane_Networking_Outbound.Marshal(b, m, deterministic)
}
func (m *Dataplane_Networking_Outbound) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dataplane_Networking_Outbound.Merge(m, src)
}
func (m *Dataplane_Networking_Outbound) XXX_Size() int {
	return xxx_messageInfo_Dataplane_Networking_Outbound.Size(m)
}
func (m *Dataplane_Networking_Outbound) XXX_DiscardUnknown() {
	xxx_messageInfo_Dataplane_Networking_Outbound.DiscardUnknown(m)
}

var xxx_messageInfo_Dataplane_Networking_Outbound proto.InternalMessageInfo

func (m *Dataplane_Networking_Outbound) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *Dataplane_Networking_Outbound) GetPort() uint32 {
	if m != nil {
		return m.Port
	}
	return 0
}

func (m *Dataplane_Networking_Outbound) GetService() string {
	if m != nil {
		return m.Service
	}
	return ""
}

func (m *Dataplane_Networking_Outbound) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

// Gateway describes a service that ingress should not be proxied.
type Dataplane_Networking_Gateway struct {
	// Tags associated with a gateway (e.g., Kong, Contour, etc) this
	// dataplane is deployed next to, e.g. service=gateway, env=prod.
	// `service` tag is mandatory.
	Tags                 map[string]string `protobuf:"bytes,1,rep,name=tags,proto3" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Dataplane_Networking_Gateway) Reset()         { *m = Dataplane_Networking_Gateway{} }
func (m *Dataplane_Networking_Gateway) String() string { return proto.CompactTextString(m) }
func (*Dataplane_Networking_Gateway) ProtoMessage()    {}
func (*Dataplane_Networking_Gateway) Descriptor() ([]byte, []int) {
	return fileDescriptor_7608682fd5ea84a4, []int{0, 0, 3}
}

func (m *Dataplane_Networking_Gateway) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dataplane_Networking_Gateway.Unmarshal(m, b)
}
func (m *Dataplane_Networking_Gateway) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dataplane_Networking_Gateway.Marshal(b, m, deterministic)
}
func (m *Dataplane_Networking_Gateway) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dataplane_Networking_Gateway.Merge(m, src)
}
func (m *Dataplane_Networking_Gateway) XXX_Size() int {
	return xxx_messageInfo_Dataplane_Networking_Gateway.Size(m)
}
func (m *Dataplane_Networking_Gateway) XXX_DiscardUnknown() {
	xxx_messageInfo_Dataplane_Networking_Gateway.DiscardUnknown(m)
}

var xxx_messageInfo_Dataplane_Networking_Gateway proto.InternalMessageInfo

func (m *Dataplane_Networking_Gateway) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

// TransparentProxying describes configuration for transparent proxying.
type Dataplane_Networking_TransparentProxying struct {
	// Port on which all inbound traffic is being transparently redirected.
	RedirectPortInbound uint32 `protobuf:"varint,1,opt,name=redirect_port_inbound,json=redirectPortInbound,proto3" json:"redirect_port_inbound,omitempty"`
	// Port on which all outbound traffic is being transparently redirected.
	RedirectPortOutbound uint32 `protobuf:"varint,2,opt,name=redirect_port_outbound,json=redirectPortOutbound,proto3" json:"redirect_port_outbound,omitempty"`
	// List of services that will be access directly via IP:PORT
	DirectAccessServices []string `protobuf:"bytes,3,rep,name=direct_access_services,json=directAccessServices,proto3" json:"direct_access_services,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Dataplane_Networking_TransparentProxying) Reset() {
	*m = Dataplane_Networking_TransparentProxying{}
}
func (m *Dataplane_Networking_TransparentProxying) String() string { return proto.CompactTextString(m) }
func (*Dataplane_Networking_TransparentProxying) ProtoMessage()    {}
func (*Dataplane_Networking_TransparentProxying) Descriptor() ([]byte, []int) {
	return fileDescriptor_7608682fd5ea84a4, []int{0, 0, 4}
}

func (m *Dataplane_Networking_TransparentProxying) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dataplane_Networking_TransparentProxying.Unmarshal(m, b)
}
func (m *Dataplane_Networking_TransparentProxying) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dataplane_Networking_TransparentProxying.Marshal(b, m, deterministic)
}
func (m *Dataplane_Networking_TransparentProxying) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dataplane_Networking_TransparentProxying.Merge(m, src)
}
func (m *Dataplane_Networking_TransparentProxying) XXX_Size() int {
	return xxx_messageInfo_Dataplane_Networking_TransparentProxying.Size(m)
}
func (m *Dataplane_Networking_TransparentProxying) XXX_DiscardUnknown() {
	xxx_messageInfo_Dataplane_Networking_TransparentProxying.DiscardUnknown(m)
}

var xxx_messageInfo_Dataplane_Networking_TransparentProxying proto.InternalMessageInfo

func (m *Dataplane_Networking_TransparentProxying) GetRedirectPortInbound() uint32 {
	if m != nil {
		return m.RedirectPortInbound
	}
	return 0
}

func (m *Dataplane_Networking_TransparentProxying) GetRedirectPortOutbound() uint32 {
	if m != nil {
		return m.RedirectPortOutbound
	}
	return 0
}

func (m *Dataplane_Networking_TransparentProxying) GetDirectAccessServices() []string {
	if m != nil {
		return m.DirectAccessServices
	}
	return nil
}

func init() {
	proto.RegisterType((*Dataplane)(nil), "kuma.mesh.v1alpha1.Dataplane")
	proto.RegisterType((*Dataplane_Networking)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking")
	proto.RegisterType((*Dataplane_Networking_Ingress)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Ingress")
	proto.RegisterType((*Dataplane_Networking_Ingress_AvailableService)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Ingress.AvailableService")
	proto.RegisterMapType((map[string]string)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Ingress.AvailableService.TagsEntry")
	proto.RegisterType((*Dataplane_Networking_Inbound)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Inbound")
	proto.RegisterMapType((map[string]string)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Inbound.TagsEntry")
	proto.RegisterType((*Dataplane_Networking_Outbound)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Outbound")
	proto.RegisterMapType((map[string]string)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Outbound.TagsEntry")
	proto.RegisterType((*Dataplane_Networking_Gateway)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Gateway")
	proto.RegisterMapType((map[string]string)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.Gateway.TagsEntry")
	proto.RegisterType((*Dataplane_Networking_TransparentProxying)(nil), "kuma.mesh.v1alpha1.Dataplane.Networking.TransparentProxying")
}

func init() { proto.RegisterFile("mesh/v1alpha1/dataplane.proto", fileDescriptor_7608682fd5ea84a4) }

var fileDescriptor_7608682fd5ea84a4 = []byte{
	// 672 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xb4, 0x95, 0xdd, 0x6a, 0x13, 0x4d,
	0x18, 0xc7, 0x99, 0xec, 0x26, 0x9b, 0x7d, 0x4a, 0x4a, 0xdf, 0x69, 0xde, 0xba, 0xac, 0x0a, 0xb1,
	0x07, 0x12, 0x3c, 0xd8, 0x5a, 0x15, 0x94, 0x5a, 0x91, 0x2c, 0x8a, 0x5f, 0xd4, 0x96, 0xb1, 0x07,
	0xe2, 0x49, 0x98, 0x66, 0x87, 0x74, 0x49, 0xba, 0x1b, 0x66, 0x26, 0xa9, 0xb9, 0x8f, 0x1e, 0x89,
	0x57, 0xe0, 0xad, 0x78, 0x09, 0x82, 0x67, 0xde, 0x44, 0x4f, 0x2a, 0x3b, 0x1f, 0x49, 0x9a, 0x16,
	0x69, 0x2a, 0x9e, 0xcd, 0xce, 0xcc, 0xff, 0xf7, 0x7c, 0xce, 0xb3, 0x70, 0xfb, 0x88, 0x89, 0xc3,
	0x8d, 0xd1, 0x26, 0xed, 0x0f, 0x0e, 0xe9, 0xe6, 0x46, 0x42, 0x25, 0x1d, 0xf4, 0x69, 0xc6, 0xa2,
	0x01, 0xcf, 0x65, 0x8e, 0x71, 0x6f, 0x78, 0x44, 0xa3, 0xe2, 0x4e, 0x64, 0xef, 0x84, 0x37, 0xcf,
	0x4b, 0x8e, 0x98, 0xe4, 0x69, 0x47, 0x68, 0x41, 0x78, 0x63, 0x44, 0xfb, 0x69, 0x42, 0x25, 0xdb,
	0xb0, 0x0b, 0x7d, 0xb0, 0xfe, 0x6d, 0x19, 0xfc, 0x17, 0x96, 0x8e, 0x5f, 0x03, 0x64, 0x4c, 0x1e,
	0xe7, 0xbc, 0x97, 0x66, 0xdd, 0x00, 0x35, 0x50, 0x73, 0xe9, 0x41, 0x33, 0xba, 0x68, 0x2c, 0x9a,
	0x48, 0xa2, 0xf7, 0x93, 0xfb, 0x64, 0x46, 0x8b, 0xb7, 0xc1, 0x33, 0x1e, 0x04, 0x25, 0x85, 0x59,
	0xbf, 0x0c, 0xb3, 0xa3, 0xaf, 0xc4, 0xb4, 0xd3, 0x63, 0x59, 0x42, 0xac, 0x24, 0x3c, 0xa9, 0x01,
	0x4c, 0xc1, 0xf8, 0x2d, 0x78, 0x69, 0xd6, 0xe5, 0x4c, 0x88, 0xa0, 0xa2, 0x60, 0xf7, 0xaf, 0xea,
	0x53, 0xf4, 0x46, 0xeb, 0x88, 0x05, 0xe0, 0x00, 0x3c, 0x9a, 0x24, 0x8a, 0x55, 0x6e, 0xa0, 0xa6,
	0x4f, 0xec, 0x67, 0x61, 0xa5, 0x4b, 0x25, 0x3b, 0xa6, 0xe3, 0xc0, 0x59, 0xd0, 0xca, 0x2b, 0xad,
	0x23, 0x16, 0xa0, 0x3d, 0x3e, 0xc8, 0x87, 0x59, 0x12, 0xa0, 0x86, 0xb3, 0xa0, 0xc7, 0x4a, 0x47,
	0x2c, 0x00, 0xef, 0x40, 0x35, 0x1f, 0x4a, 0x0d, 0x2b, 0x29, 0xd8, 0xe6, 0x95, 0x61, 0xbb, 0x46,
	0x48, 0x26, 0x08, 0x9c, 0x43, 0x5d, 0x72, 0x9a, 0x89, 0x01, 0xe5, 0x2c, 0x93, 0xed, 0x01, 0xcf,
	0x3f, 0x8f, 0x8b, 0x6a, 0xbb, 0x2a, 0xe6, 0xed, 0x2b, 0xa3, 0xf7, 0xa7, 0x90, 0x3d, 0xc3, 0x20,
	0xab, 0xf2, 0xe2, 0x66, 0xf8, 0xa3, 0x04, 0x9e, 0x29, 0x03, 0xce, 0xe1, 0x3f, 0x3a, 0xa2, 0x69,
	0x9f, 0x1e, 0xf4, 0xd9, 0x07, 0xc6, 0x47, 0x69, 0x87, 0x09, 0x93, 0xa1, 0xd6, 0xa2, 0x35, 0x8d,
	0x5a, 0x73, 0x24, 0x72, 0x91, 0x1d, 0xfe, 0x44, 0xb0, 0x32, 0x7f, 0x0f, 0xb7, 0xc1, 0x95, 0xb4,
	0x6b, 0x0d, 0xbf, 0xfb, 0x6b, 0xc3, 0xd1, 0x3e, 0xed, 0x8a, 0x97, 0x99, 0xe4, 0x63, 0xa2, 0xc0,
	0xf8, 0x16, 0xf8, 0x69, 0x26, 0x24, 0xcd, 0x8a, 0xf0, 0x8a, 0xfe, 0xaf, 0x91, 0xe9, 0x06, 0xc6,
	0xe0, 0x16, 0xc6, 0x54, 0x97, 0xf9, 0x44, 0xad, 0xc3, 0xc7, 0xe0, 0x4f, 0x20, 0x78, 0x05, 0x9c,
	0x1e, 0x1b, 0xab, 0xf7, 0xe7, 0x93, 0x62, 0x89, 0xeb, 0x50, 0x1e, 0xd1, 0xfe, 0x90, 0x29, 0x98,
	0x4f, 0xf4, 0xc7, 0x56, 0xe9, 0x09, 0x0a, 0x4f, 0x54, 0x76, 0x75, 0x69, 0x31, 0xb8, 0x83, 0x9c,
	0x4b, 0x05, 0xae, 0x11, 0xb5, 0xc6, 0x0d, 0x58, 0x12, 0xda, 0xcb, 0xbd, 0xe2, 0xc8, 0x55, 0x47,
	0xb3, 0x5b, 0xf8, 0x2e, 0x2c, 0x9b, 0xcf, 0x96, 0x79, 0x18, 0x15, 0x65, 0x64, 0x6e, 0xf7, 0x0f,
	0x2f, 0xe7, 0xa3, 0xc9, 0xa7, 0xee, 0xce, 0xad, 0x45, 0x5b, 0x7d, 0x9a, 0xbe, 0xb8, 0x7a, 0x1a,
	0x97, 0xbf, 0xa0, 0x52, 0x15, 0xe9, 0x44, 0x5e, 0x3f, 0x2d, 0xbf, 0x10, 0x54, 0x6d, 0xf3, 0xcf,
	0x7a, 0xee, 0x9c, 0xf7, 0xdc, 0x66, 0xcc, 0x9d, 0xc9, 0xd8, 0x1d, 0xf0, 0x4c, 0xe4, 0x1a, 0x1b,
	0x7b, 0xa7, 0xb1, 0xcb, 0x4b, 0x87, 0x88, 0xd8, 0x7d, 0xbc, 0x6b, 0x02, 0x2e, 0xab, 0x80, 0x9f,
	0x2e, 0xfc, 0x1c, 0xe7, 0x1b, 0xe6, 0xfa, 0x71, 0x7e, 0x45, 0xe0, 0x99, 0xe9, 0x33, 0x29, 0x03,
	0x5a, 0xb0, 0x0c, 0x46, 0xff, 0x2f, 0xca, 0xf0, 0x1d, 0xc1, 0xea, 0x25, 0x83, 0x02, 0x3f, 0x83,
	0xff, 0x39, 0x4b, 0x52, 0xce, 0x3a, 0xb2, 0x5d, 0x24, 0xbd, 0x3d, 0x9d, 0x96, 0xa8, 0x59, 0x8b,
	0xfd, 0xd3, 0xb8, 0x72, 0xcf, 0x0d, 0xce, 0xce, 0x1c, 0xb2, 0x6a, 0xef, 0x15, 0xbd, 0x6a, 0x1b,
	0xfd, 0x39, 0xac, 0x9d, 0x97, 0xcf, 0x0c, 0xc8, 0x39, 0x7d, 0x7d, 0x56, 0x3f, 0xe9, 0x88, 0x47,
	0xb0, 0x66, 0xe4, 0xb4, 0xd3, 0x61, 0x42, 0xb4, 0x85, 0x1d, 0x46, 0x4e, 0xc3, 0x69, 0xfa, 0xa4,
	0xae, 0x4f, 0x5b, 0xea, 0xd0, 0x0e, 0x93, 0x18, 0x3e, 0x55, 0x6d, 0x26, 0x0f, 0x2a, 0xea, 0xff,
	0xf9, 0xf0, 0x77, 0x00, 0x00, 0x00, 0xff, 0xff, 0xee, 0x63, 0x46, 0xff, 0xaa, 0x07, 0x00, 0x00,
}
